### Method

# Gtk Entry get_icon_gicon

#### Declaration [src]

    GIcon*
    gtk_entry_get_icon_gicon (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos
    )

#### Description [src]

Retrieves the `GIcon` used for the icon.

`NULL` will be returned if there is no icon or if the icon was set by some other method (e.g., by `GdkPaintable` or icon name).

#### Parameters

`icon_pos` | `GtkEntryIconPosition`
| Icon position.

#### Return value

Returns: | `GIcon*`
| A `GIcon`.
| The data is owned by the instance.
| The return value can be `NULL`.